Package com.opensymphony.module.sitemesh

# Interface HTMLPage

All Superinterfaces:
  `Page`

All Known Implementing Classes:
  `AbstractHTMLPage`, `Content2HTMLPage`, `FastPage`, `TokenizedHTMLPage`

public interface HTMLPage extends Page
Extension of `Page` providing access to HTML data.

The page is parsed and the `<title>`, `<head>` (minus the `<title>`) and `<body>` are split into chunks. These can then be used by a `Decorator`. Properties are also extracted from the HTML.

## Page Properties

When the page is parsed, values from certain tags are added to the properties to allow easy access to them. The following tags have properties extracted from them.

- HTML Tag
  All attributes of the `<html>` tag shall be added as properties.
- TITLE Tag
  The contents of the `<title>` tag shall be added as the `title` property.
- META Tags
  All the `<meta>` tags with `name` and `content` attributes will be added with the `meta` prefix.
- BODY Tag
  All attributes of the `<body>` tag shall be added as properties with the `body` prefix.

#### Example

         <html template="funky">
           <head>
             <title>My Funky Page</title>
             <meta name="description" content="Description of my page.">
             <meta name="author" content="Bob">
             ...
           </head>
           <body text="#ff00ff" bgcolor="green">
             ...
           </body>
         </html>

     template=funky
     title=My Funky Page
     meta.description=Description of my page.
     meta.author=Bob
     body.text=#ff00ff
     body.bgcolor=green

Version:
  $Revision: 1.3 $
Author:
  Joe Walnes

## Method Summary

Modifier and Type
Method
Description
`String`
`getHead()`
Convenience method to return the contents of the `<head>` tag as a String.
`boolean`
`isFrameSet()`
Check to see if this page contains an HTML frameset.
`void`
`setFrameSet(boolean frameset)`
Marks this page as a frameset.
`void`
`writeHead(Writer out)`
Write the contents of the `<head>` tag.

### Methods inherited from interface com.opensymphony.module.sitemesh.Page

`addProperty, getBody, getBooleanProperty, getContentLength, getIntProperty, getLongProperty, getPage, getProperties, getProperty, getPropertyKeys, getRequest, getTitle, isPropertySet, setRequest, writeBody, writePage`

## Method Details

### writeHead

void writeHead(Writer out) throws IOException
Write the contents of the `<head>` tag.

Throws:
  `IOException`

### getHead

String getHead()
Convenience method to return the contents of the `<head>` tag as a String.

Since:
  2.1.1
See Also:
  - `writeHead(java.io.Writer)`

### isFrameSet

boolean isFrameSet()
Check to see if this page contains an HTML frameset.

### setFrameSet

void setFrameSet(boolean frameset)
Marks this page as a frameset.

Since:
  2.3
See Also:
  - `isFrameSet()`